> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch change data

> Fetch data for a segment change



## OpenAPI

````yaml https://api.getcargo.io/openapi.json post /segmentation/changes/{uuid}/fetch
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /segmentation/changes/{uuid}/fetch:
    post:
      tags:
        - Segmentation - Changes
      summary: Fetch change data
      description: Fetch data for a segment change
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: UUID
            description: Change identifier.
          required: true
          description: Change identifier.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                kinds:
                  type: array
                  items:
                    type: string
                    enum:
                      - added
                      - updated
                      - removed
                      - unchanged
                  title: Kinds
                  description: Change kinds to include.
                limit:
                  title: Limit
                  description: Maximum number of records to return.
                  type: number
                offset:
                  title: Offset
                  description: Number of records to skip.
                  type: number
              required:
                - kinds
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  columns:
                    type: array
                    items:
                      type: object
                      properties:
                        slug:
                          type: string
                        type:
                          type: string
                          enum:
                            - string
                            - number
                            - object
                            - array
                            - date
                            - boolean
                            - vector
                            - any
                        label:
                          type: string
                        modelUuid:
                          type: string
                      required:
                        - slug
                        - type
                        - label
                        - modelUuid
                      additionalProperties: false
                    title: Columns
                    description: Segment columns.
                  count:
                    type: number
                    title: Count
                    description: Total number of records.
                  records:
                    type: array
                    items:
                      type: object
                      propertyNames:
                        type: string
                      additionalProperties: {}
                    title: Records
                    description: Fetched change records.
                required:
                  - columns
                  - count
                  - records
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````